[GUIDA] Vediamo come eseguire il downgrade di un’app su Ubuntu, Mint e Debian

linux

In questa breve guida vi mostro come eseguire il downgrade di un’app / package ad una versione specifica. Vi è mai capitato di aggiornare un’app e incorrere in problemi? Incompatibilità, crash, bug… “Cavolo, non dovevo aggiornare!“. Tornare alla versione precedente non è difficile, vediamo come procedere usando apt su Ubuntu, Linux Mint o Debian (e derivate).

Ovviamente il package verso il quale volete effettuare il downgrade deve essere disponibile nei repository altrimenti la procedura, chiaramente, non può funzionare.

Per eseguire il downgrade dovete aggiungere la dicitura =version dopo il nome del pacchetto dove version è la versione verso la quale volete eseguire il downgrade. Il comando è dunque il seguente

sudo apt install <package>=<version>

Esempio:

Ho installato Firefox 65 sul mio pc e voglio eseguire il downgrade usando apt. La prima cosa da fare è controllare quali versioni sono disponibili mediante il comando apt policy firefox:

ubuntu firefox debian mint downgradeubuntu firefox debian mint downgradeQuesto comando mostra che sul mio sistema ho installato Firefox 65.0+build2. E’ presente una versione più vecchia, ovvero Firefox 45.0.2+build1-0ubuntu1. E’ una versione di Firefox molto datata, questo perchè sto usando Lubuntu 16.04 su un vecchio portatile su cui faccio alcune prove. Provando con Ubuntu 18.10, ad esempio, vi viene proposto il downgrade verso Firefox 63.

Leggi anche: [GUIDA] Ecco come vedere la storia dei pacchetti installati, aggiornati o rimossi su Ubuntu, Debian o Mint

Per eseguire il downgrade di Firefox dalla versione 65.0+build2 ad una meno recente dovete dare il seguente comando:

sudo apt install firefox=xyz.0+build1-0ubuntu1

Dove al posto di xyz bisogna inserire la versione di Firefox. Questo comando esegue il downgrade di Firefox senza downgradare nessun altro pacchetto perchè Firefox non dipende da altri pacchetti. Ecco cosa accade sul mio terminale:

downgradedowngradeSe volete eseguire il downgrade di un app XYZ che dipende a sua volta da altre pacchetti vi verrà restituito un messaggio d’errore. Per risolvere dovrete prima eseguire il downgrade dei pacchetti da cui dipende l’app XYZ e poi il downgrade dell’app stessa.

sharing-caring-1sharing-caring-1

Vi ricordiamo che seguirci è molto semplice: tramite il nostro canale Telegram e la nostra pagina Google Plus. Da oggi, inoltre, è possibile seguire il nostro canale ufficiale Telegram dedicato ad Offerte e Promo! Nel campo qui sotto è possibile commentare e creare spunti di discussione inerenti le tematiche trattate sul blog.

Source: https://www.lffl.org/2019/02/downgrade-app-ubuntu-mint-debian.html

Potrebbero interessarti anche...

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *

Questo sito usa Akismet per ridurre lo spam. Scopri come i tuoi dati vengono elaborati.